Summary: daVinci is a universal, generic visualization system for automatic generation of high-quality drawings of directed graphs.
Name: daVinci
Version: 2.1
Release: 3
Group: X11/Applications/Graphics
Copyright: daVinci is licensed free of charge for non-profit or internal use.
Url: http://www.tzi.de/~davinci/daVinci_get_daVinci.html
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.tzi.de/tzi/biss/daVinci/daVinci_V2.1_Linux_RedHat5.tar.gz
ExclusiveArch: i386
BuildRoot: /var/tmp/%{name}-root


%description
daVinci is a universal, generic visualization system for automatic generation
of high-quality drawings of directed graphs. Graphs are frequently used in
computer applications as a general data structure to represent objects and
relationships between them. They are used to implement hierarchies,
dependency structures, networks, configurations, dataflows, and so on. In
despite of this manifold demand, techniques to visualize such graphs are not
common in today's computer applications. So frequently a user has to deal
with uncomfortable textual interfaces or poor ad-hoc drawings of graphs,
because high-quality graph layout is difficult to implement and reusable
tools for graph visualization are often hard to find. 


%prep


%install
rm -rf   $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT/usr/bin
tar -C   $RPM_BUILD_ROOT/usr/lib \
	-zxf $RPM_SOURCE_DIR/daVinci_V2.1_Linux_RedHat5.tar.gz

cat >    $RPM_BUILD_ROOT/usr/bin/daVinci <<EOF
#!/bin/sh
DAVINCIHOME=/usr/lib/daVinci_V2.1
export DAVINCIHOME
exec \$DAVINCIHOME/daVinci "\$@"
EOF

chmod 755 $RPM_BUILD_ROOT/usr/bin/daVinci


%files
%defattr(-,root,root)
/usr/bin/daVinci
/usr/lib/daVinci_V2.1


%clean
rm -rf $RPM_BUILD_ROOT
